# std::domain_error Class Reference

Inheritance diagram for std::domain_error:

List of all members.

## Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathmatical sense).

Definition at line 73 of file stdexcept.

## Public Member Functions

- domain_error (const string &__arg)
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::logic_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- stdexcept